apt: Member List

apt 3.2.0 commandline package manager

Configuration Member List

This is the complete list of members for Configuration, including all inherited members.

Clear(const std::string &Name) (defined in Configuration) | Configuration |
Clear() (defined in Configuration) | Configuration |
Clear(std::string const &List, std::string const &Value) (defined in Configuration) | Configuration |
Clear(std::string const &List, int const &Value) (defined in Configuration) | Configuration |
CndSet(const char *Name, const std::string_view &Value) (defined in Configuration) | Configuration |
CndSet(const char *Name, const int Value) (defined in Configuration) | Configuration |
Configuration(const Item *Root) (defined in Configuration) | Configuration | explicit
Configuration() (defined in Configuration) | Configuration |
Dump() (defined in Configuration) | Configuration | inline
Dump(std::ostream &str) (defined in Configuration) | Configuration |
Dump(std::ostream &str, char const *const root, char const *const format, bool const emptyValue) (defined in Configuration) | Configuration |
Exists(const std::string &Name) const (defined in Configuration) | Configuration | inline
Exists(const char *Name) const (defined in Configuration) | Configuration |
ExistsAny(const char *Name) const (defined in Configuration) | Configuration |
Find(const char *Name, const char *Default=0) const (defined in Configuration) | Configuration |
Find(std::string const &Name, const char *Default=0) const (defined in Configuration) | Configuration | inline
Find(std::string const &Name, std::string const &Default) const (defined in Configuration) | Configuration | inline
FindAny(const char *Name, const char *Default=0) const (defined in Configuration) | Configuration |
FindB(const char *Name, bool const &Default=false) const (defined in Configuration) | Configuration |
FindB(std::string const &Name, bool const &Default=false) const (defined in Configuration) | Configuration | inline
FindDir(const char *Name, const char *Default=0) const (defined in Configuration) | Configuration |
FindFile(const char *Name, const char *Default=0) const (defined in Configuration) | Configuration |
FindI(const char *Name, int const &Default=0) const (defined in Configuration) | Configuration |
FindI(std::string const &Name, int const &Default=0) const (defined in Configuration) | Configuration | inline
FindVector(const char *Name, std::string const &Default="", bool const Keys=false) const | Configuration |
FindVector(std::string const &Name, std::string const &Default="", bool const Keys=false) const (defined in Configuration) | Configuration | inline
MoveSubTree(char const *const OldRoot, char const *const NewRoot) (defined in Configuration) | Configuration |
MoveSubTree(char const *const OldRoot, char const *const NewRoot, bool Overwrite) (defined in Configuration) | Configuration |
Set(const std::string &Name, const std::string_view &Value) (defined in Configuration) | Configuration | inline
Set(const char *Name, const std::string_view &Value) (defined in Configuration) | Configuration |
Set(const char *Name, const int &Value) (defined in Configuration) | Configuration |
Tree(const char *Name) const (defined in Configuration) | Configuration | inline
~Configuration() (defined in Configuration) | Configuration |